<div class="app-body">
  <main class="main d-flex align-items-center">
    <div class="container">
      <div class="row">
        <div class="col-md-6 mx-auto">
          <div class="card mx-4">
            <div class="card-body p-4">
              <form [formGroup]="company" (ngSubmit)="onSubmit()">
                {{company.errors}}
                <h1>Register</h1>
                <p class="text-muted">Create your account</p>
                <div class="input-group mb-3">
                  <input type="text" class="form-control" placeholder="Company Name" autocomplete="companyName" formControlName="companyName">
                </div>
                <div class="input-group mb-3">
                  <input type="text" class="form-control" placeholder="Trading Name" autocomplete="tradingName" formControlName="tradingName">
                </div>
                <div class="input-group mb-3">
                  <input type="text" class="form-control" placeholder="CNPJ" autocomplete="cnpj" formControlName="cnpj" mask="00.000.000/0000-00">
                </div>
                <ng-container formArrayName="admin">
                  <div class="form-group">
                    <input type="text" class="form-control" placeholder="Admin Name" id="name" formControlName="name">
                  </div>
                  <div class="form-group">
                    <select id="gender" name="gender" class="form-control" formControlName="gender">
                      <option value="">Admin Gender</option>
                      <option value="F">Female</option>
                      <option value="M">Male</option>
                    </select>
                  </div>
                  <div class="form-group">
                    <input type="text" class="form-control" placeholder="Admin CPF" formControlName="cpf" mask="000.000.000-00">
                  </div>
                  <div class="form-group">
                    <input type="text" class="form-control" placeholder="Admin E-mail" id="email" formControlName="email">
                  </div>
                  <div class="input-group mb-3">
                    <input type="password" class="form-control" placeholder="Admin Password" autocomplete="password" formControlName="password">
                  </div>
                </ng-container>
                <button type="submit" class="btn btn-block btn-success">Create Account</button>
              </form>
            </div>
            <div class="card-footer p-4">
              <div class="row">
                <div class="col-12">
                  <p class="text-center">Already have an account? <a [routerLink]="['/login']">Login</a></p>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </main>
</div>
